local ZhuanpanLogic = require("zhuanpan.ZhuanpanLogic")

-- 转盘查询
function CG_ZHUANPAN_QUERY(human, msg)
	ZhuanpanLogic.query(human, msg.type)
end

-- 刷新
function CG_ZHUANPAN_REFRESH(human, msg)
	ZhuanpanLogic.refresh(human, msg.type, true)
end

-- 抽奖
function CG_ZHUANPAN_GET_REWARD(human, msg)
	ZhuanpanLogic.getReward(human, msg.type, msg.cnt)
end

-- 购买许愿珠
function CG_BUY_ZHUANPAN_CNT(human, msg)
	ZhuanpanLogic.buyCnt(human, msg.type, msg.cnt)
end

-- 获取进度奖励
function CG_ZHUANPAN_GET_LUCK(human, msg)
	ZhuanpanLogic.getLuck(human, msg)
end

-- 获取精炼祝福
function CG_XUNXING_JINGLINGZHUFU(human)
    ZhuanpanLogic.getFree(human)
end
